- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# appenderattachableimpl.h File Reference

## Namespaces
namespace | log4cxx
namespace | log4cxx::spi
namespace | log4cxx::helpers
## Classes
class | AppenderAttachableImpl
## Typedefs
typedef helpers::ObjectPtrT< LoggingEvent > | log4cxx::spi::LoggingEventPtr
## Functions
| log4cxx::helpers::LOG4CXX_PTR_DEF (AppenderAttachableImpl)